futbolFeed API

Getting sport events and their snapshots

Feed API endpoints can be used to get events schedule and particular event snapshot from Odds88.

Schedule Endpoints

Regular Events Schedule

The endpoint can be used to fetch events based on sports, locations and start date.

It returns the list of events with their details, but without markets.

circle-exclamation

Gets list of non-outright event with specified UTC start date.

post

Rate Limits (per account):

  • 10 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body
startDatestring · nullableOptional

Starting date of event. If null returns Events with StartTime=null or from tomorrow

sportIdsinteger · int64[] · nullableOptional

If not null filters by SportIds

locationIdsinteger · int64[] · nullableOptional

If not null filters by LocationIds

Responses
chevron-right
200

OK

Information about event (sport, country, statuses etc.)

idinteger · int64Optional

TradeArt event id.

namestring · nullableOptional

Event name.

statusinteger · enumOptional

Status of event

  • 0 - Unknown
  • 1 - Planned
  • 2 - SoonInPlay
  • 3 - Live
  • 4 - Completed
  • 5 - Cancelled
  • 6 - CoverageLost
  • 7 - Closed
  • 8 - Suspended
  • 9 - Postponed
  • 10 - Abandoned
Possible values:
tradingStatusinteger · enumOptional

Status of trading

  • 0 - Open
  • 1 - Suspended
  • 2 - Closed
  • 3 - Inactive
Possible values:
statusDescriptionstring · nullableOptional

Free text event status description (optional).

startTimestring · date-time · nullableOptional

Start time of the event. Can be null.

isOutrightbooleanOptional

Flag which indicates that event is outright.

isBetBuilderSupportedbooleanOptional

Indicates whether this selection can be used in Bet Builder

post
/api/events/schedule/v2

Outrights Endpoint

Can be used to fetch outright events based on sports and locations.

It returns the list of events with their details, but without markets.

circle-exclamation

Fetch Outright Events

post

Rate Limits (per account):

  • 10 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body
sportIdsinteger · int64[] · nullableOptional

If not null filters by SportIds

locationIdsinteger · int64[] · nullableOptional

If not null filters by LocationIds

Responses
chevron-right
200

OK

Information about event (sport, country, statuses etc.)

idinteger · int64Optional

TradeArt event id.

namestring · nullableOptional

Event name.

statusinteger · enumOptional

Status of event

  • 0 - Unknown
  • 1 - Planned
  • 2 - SoonInPlay
  • 3 - Live
  • 4 - Completed
  • 5 - Cancelled
  • 6 - CoverageLost
  • 7 - Closed
  • 8 - Suspended
  • 9 - Postponed
  • 10 - Abandoned
Possible values:
tradingStatusinteger · enumOptional

Status of trading

  • 0 - Open
  • 1 - Suspended
  • 2 - Closed
  • 3 - Inactive
Possible values:
statusDescriptionstring · nullableOptional

Free text event status description (optional).

startTimestring · date-time · nullableOptional

Start time of the event. Can be null.

isOutrightbooleanOptional

Flag which indicates that event is outright.

isBetBuilderSupportedbooleanOptional

Indicates whether this selection can be used in Bet Builder

post
/api/events/outrights

Event snapshot endpoint

Can be used to fetch the latest snapshot of a specified event or outright fixture with all markets.

This endpoint can be used to recover events in case a message or messages were missed.

circle-exclamation

Get snapshot of the specific event.

get

Rate Limits (per account):

  • 10 req/1s

Authorizations
HTTPRequired

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path parameters
eventIdinteger · int64Required

TradeArt event id.

Responses
chevron-right
200

OK

Full snapshot of event data

typeinteger · enumOptional

Known types of deltas

  • 0 - None
  • 1 - EventStatusChanged
  • 2 - EventChanged
  • 3 - MarketChanged
  • 4 - ScoreboardChanged
  • 5 - BetCancel
  • 6 - EventSnapshot
  • 7 - MarketsChanged
Possible values:
eventIdinteger · int64Optional

Id of changed event

versioninteger · int64Optional

Version of feed state

correlationIdstring · nullableOptional

Correlation id of the message to trace back.

creationTimestring · date-timeOptional

Captures the timestamp the dto was created.

sportIdinteger · int64Optional

Id of the Sport

locationIdinteger · int64Optional

Id of the Location

leagueIdinteger · int64Optional

Id of the League

updateSequenceinteger · int64Optional

Event delta sequence. Incremented with each sent delta.

lastUpdatedTimeinteger · int64Optional

Event update time. Incremented with each valuable update.

get
/api/events/v2/{eventId}

Last updated